Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj
Class Skeleton.tJointTypes

    java.lang.Object
      edu.wpi.first.wpilibj.Skeleton.tJointTypes

Enclosing class:
  Skeleton

    public static class Skeleton.tJointTypes

extends Object

Helper class used to index the joints in a (@link Skeleton)

Field Summary
`static Skeleton.tJointTypes` | `kAnkleLeft`
`protected static int` | `kAnkleLeft_val`
`static Skeleton.tJointTypes` | `kAnkleRight`
`protected static int` | `kAnkleRight_val`
`static Skeleton.tJointTypes` | `kCount`
`protected static int` | `kCount_val`
`static Skeleton.tJointTypes` | `kElbowLeft`
`protected static int` | `kElbowLeft_val`
`static Skeleton.tJointTypes` | `kElbowRight`
`protected static int` | `kElbowRight_val`
`static Skeleton.tJointTypes` | `kFootLeft`
`protected static int` | `kFootLeft_val`
`static Skeleton.tJointTypes` | `kFootRight`
`protected static int` | `kFootRight_val`
`static Skeleton.tJointTypes` | `kHandLeft`
`protected static int` | `kHandLeft_val`
`static Skeleton.tJointTypes` | `kHandRight`
`protected static int` | `kHandRight_val`
`static Skeleton.tJointTypes` | `kHead`
`protected static int` | `kHead_val`
`static Skeleton.tJointTypes` | `kHipCenter`
`protected static int` | `kHipCenter_val`
`static Skeleton.tJointTypes` | `kHipLeft`
`protected static int` | `kHipLeft_val`
`static Skeleton.tJointTypes` | `kHipRight`
`protected static int` | `kHipRight_val`
`static Skeleton.tJointTypes` | `kKneeLeft`
`protected static int` | `kKneeLeft_val`
`static Skeleton.tJointTypes` | `kKneeRight`
`protected static int` | `kKneeRight_val`
`static Skeleton.tJointTypes` | `kShoulderCenter`
`protected static int` | `kShoulderCenter_val`
`static Skeleton.tJointTypes` | `kShoulderLeft`
`protected static int` | `kShoulderLeft_val`
`static Skeleton.tJointTypes` | `kShoulderRight`
`protected static int` | `kShoulderRight_val`
`static Skeleton.tJointTypes` | `kSpine`
`protected static int` | `kSpine_val`
`static Skeleton.tJointTypes` | `kWristLeft`
`protected static int` | `kWristLeft_val`
`static Skeleton.tJointTypes` | `kWristRight`
`protected static int` | `kWristRight_val`
`int` | `value`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public final int value

### kHipCenter_val

    protected static final int kHipCenter_val

See Also:
  Constant Field Values

### kSpine_val

    protected static final int kSpine_val

See Also:
  Constant Field Values

### kShoulderCenter_val

    protected static final int kShoulderCenter_val

See Also:
  Constant Field Values

### kHead_val

    protected static final int kHead_val

See Also:
  Constant Field Values

### kShoulderLeft_val

    protected static final int kShoulderLeft_val

See Also:
  Constant Field Values

### kElbowLeft_val

    protected static final int kElbowLeft_val

See Also:
  Constant Field Values

### kWristLeft_val

    protected static final int kWristLeft_val

See Also:
  Constant Field Values

### kHandLeft_val

    protected static final int kHandLeft_val

See Also:
  Constant Field Values

### kShoulderRight_val

    protected static final int kShoulderRight_val

See Also:
  Constant Field Values

### kElbowRight_val

    protected static final int kElbowRight_val

See Also:
  Constant Field Values

### kWristRight_val

    protected static final int kWristRight_val

See Also:
  Constant Field Values

### kHandRight_val

    protected static final int kHandRight_val

See Also:
  Constant Field Values

### kHipLeft_val

    protected static final int kHipLeft_val

See Also:
  Constant Field Values

### kKneeLeft_val

    protected static final int kKneeLeft_val

See Also:
  Constant Field Values

### kAnkleLeft_val

    protected static final int kAnkleLeft_val

See Also:
  Constant Field Values

### kFootLeft_val

    protected static final int kFootLeft_val

See Also:
  Constant Field Values

### kHipRight_val

    protected static final int kHipRight_val

See Also:
  Constant Field Values

### kKneeRight_val

    protected static final int kKneeRight_val

See Also:
  Constant Field Values

### kAnkleRight_val

    protected static final int kAnkleRight_val

See Also:
  Constant Field Values

### kFootRight_val

    protected static final int kFootRight_val

See Also:
  Constant Field Values

### kCount_val

    protected static final int kCount_val

See Also:
  Constant Field Values

### kHipCenter

    public static final Skeleton.tJointTypes kHipCenter

### kSpine

    public static final Skeleton.tJointTypes kSpine

### kShoulderCenter

    public static final Skeleton.tJointTypes kShoulderCenter

### kHead

    public static final Skeleton.tJointTypes kHead

### kShoulderLeft

    public static final Skeleton.tJointTypes kShoulderLeft

### kElbowLeft

    public static final Skeleton.tJointTypes kElbowLeft

### kWristLeft

    public static final Skeleton.tJointTypes kWristLeft

### kHandLeft

    public static final Skeleton.tJointTypes kHandLeft

### kShoulderRight

    public static final Skeleton.tJointTypes kShoulderRight

### kElbowRight

    public static final Skeleton.tJointTypes kElbowRight

### kWristRight

    public static final Skeleton.tJointTypes kWristRight

### kHandRight

    public static final Skeleton.tJointTypes kHandRight

### kHipLeft

    public static final Skeleton.tJointTypes kHipLeft

### kKneeLeft

    public static final Skeleton.tJointTypes kKneeLeft

### kAnkleLeft

    public static final Skeleton.tJointTypes kAnkleLeft

### kFootLeft

    public static final Skeleton.tJointTypes kFootLeft

### kHipRight

    public static final Skeleton.tJointTypes kHipRight

### kKneeRight

    public static final Skeleton.tJointTypes kKneeRight

### kAnkleRight

    public static final Skeleton.tJointTypes kAnkleRight

### kFootRight

    public static final Skeleton.tJointTypes kFootRight

### kCount

    public static final Skeleton.tJointTypes kCount

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"